NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.LawExtensionBuilderEx Class Reference

Represents a NXOpen.Features.LawExtensionEx builder More...

Inheritance diagram for NXOpen.Features.LawExtensionBuilderEx:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  MiterOptions { None, Sharp, Blend, Radius }
 Miter options More...
 
enum  OppositeSideExtensionOptions { None, Symmetric, Asymmetric }
 Opposite side extension options More...
 
enum  Types { Faces, Vector }
 Law extension creation types More...
 

Properties

unsafe
NXOpen.GeometricUtilities.LawBuilder 
AngleLaw [get]
 Returns the angle law More...
 
unsafe double AngleTolerance [get, set]
 Returns or sets the angle tolerance More...
 
unsafe NXOpen.Section BaseProfile [get]
 Returns the base profile More...
 
unsafe
NXOpen.GeometricUtilities.CurveFitData 
CurveFitData [get]
 Returns the curve fit data More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance More...
 
unsafe NXOpen.ScCollector Faces [get]
 Returns the faces. More...
 
unsafe bool IsAngleCorrected [get, set]
 Returns or sets a value indicating whether to correct the angle More...
 
unsafe bool IsReferenceFaceNormalReversed [get, set]
 Returns or sets a value indicating whether to reverse the reference face normal. More...
 
unsafe bool LaydownCurve [get, set]
 Returns or sets a value indicating whether to laydown the base curve to base faces More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
LengthLaw [get]
 Returns the length law More...
 
unsafe NXOpen.Expression MaxCorrectionAngle [get]
 Returns the max anlge deviation allowed for the correction More...
 
unsafe bool MergeFacesIfPossible [get, set]
 Returns or sets a value indicating whether to merge the faces if possible More...
 
unsafe
NXOpen.Features.LawExtensionBuilderEx.MiterOptions 
MiterOption [get, set]
 Returns or sets the miter option More...
 
unsafe NXOpen.Expression MiterRadius [get]
 Returns the miter radius More...
 
unsafe
NXOpen.Features.LawExtensionBuilderEx.OppositeSideExtensionOptions 
OppositeSideExtensionOption [get, set]
 Returns or sets the opposite side extension option More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
OppositeSideLengthLaw [get]
 Returns the opposite side length law. More...
 
unsafe
NXOpen.GeometricUtilities.SpineDefinitionBuilder 
SpineDefinition [get]
 Returns the spine definition More...
 
unsafe
NXOpen.Features.LawExtensionBuilderEx.Types 
Type [get, set]
 Returns or sets the type More...
 
unsafe NXOpen.Direction Vector [get, set]
 Returns or sets the vector. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.LawExtensionEx builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateLawExtensionBuilderEx

Default values.

Property Value

AngleLaw.Function

ft

AngleLaw.LawType

Constant

AngleLaw.Parameter

t

CurveFitData.CurveJoinMethod

No

CurveFitData.Degree

7

CurveFitData.FitMethod

DegreeAndSegments

CurveFitData.IsAdvancedFit

0

CurveFitData.IsAlignShape

0

CurveFitData.MaximumDegree

7

CurveFitData.MaximumSegments

1

CurveFitData.MinimumDegree

5

CurveFitData.Segments

1

LaydownCurve

True

LengthLaw.LawType

Constant

MergeFacesIfPossible

False

MiterOption

Blend

MiterRadius.Value

2.5 (millimeters part), 0.1 (inches part)

OppositeSideLengthLaw.LawType

Constant

SpineDefinition.Method

None

Created in NX8.5.0

Member Enumeration Documentation

Miter options

Enumerator
None 

No miter solution between two discontinuous faces

Sharp 

Creates a sharp edge between two faces

Blend 

Creates a three-sided patch between two faces

Radius 

Creates a four-sided patch between two faces

Opposite side extension options

Enumerator
None 

No extension

Symmetric 

Symmetric extension

Asymmetric 

Asymmetric extension

Law extension creation types

Enumerator
Faces 

Reference faces

Vector 

Reference vector

Property Documentation

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.LawExtensionBuilderEx.AngleLaw
get

Returns the angle law

Created in NX8.5.0

License requirements: None.

unsafe double NXOpen.Features.LawExtensionBuilderEx.AngleTolerance
getset

Returns or sets the angle tolerance

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

unsafe NXOpen.Section NXOpen.Features.LawExtensionBuilderEx.BaseProfile
get

Returns the base profile

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.CurveFitData NXOpen.Features.LawExtensionBuilderEx.CurveFitData
get

Returns the curve fit data

Created in NX8.5.0

License requirements: None.

unsafe double NXOpen.Features.LawExtensionBuilderEx.DistanceTolerance
getset

Returns or sets the distance tolerance

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.LawExtensionBuilderEx.Faces
get

Returns the faces.

Faces are used only when NXOpen.Features.LawExtensionBuilderEx.Types is NXOpen.Features.LawExtensionBuilderEx.Types.Faces . The faces must be sewable to form a single sheet body. The normal of the sewed sheet body and base profile direction provide local reference co-ordinate system for the orientation of the surface rule lines.

Created in NX8.5.0

License requirements: None.

unsafe bool NXOpen.Features.LawExtensionBuilderEx.IsAngleCorrected
getset

Returns or sets a value indicating whether to correct the angle

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

unsafe bool NXOpen.Features.LawExtensionBuilderEx.IsReferenceFaceNormalReversed
getset

Returns or sets a value indicating whether to reverse the reference face normal.

When NXOpen.Features.LawExtensionBuilderEx.Types is NXOpen.Features.LawExtensionBuilderEx.Types.Faces , the input faces are sewed to form a single sheet body. The normal of the sheet body is decided based on the face which is nearest to the parametric mid point of the base profile and acts as the reference face normal.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

unsafe bool NXOpen.Features.LawExtensionBuilderEx.LaydownCurve
getset

Returns or sets a value indicating whether to laydown the base curve to base faces

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.LawExtensionBuilderEx.LengthLaw
get

Returns the length law

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.LawExtensionBuilderEx.MaxCorrectionAngle
get

Returns the max anlge deviation allowed for the correction

Created in NX10.0.0

License requirements: None.

unsafe bool NXOpen.Features.LawExtensionBuilderEx.MergeFacesIfPossible
getset

Returns or sets a value indicating whether to merge the faces if possible

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

unsafe NXOpen.Features.LawExtensionBuilderEx.MiterOptions NXOpen.Features.LawExtensionBuilderEx.MiterOption
getset

Returns or sets the miter option

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

unsafe NXOpen.Expression NXOpen.Features.LawExtensionBuilderEx.MiterRadius
get

Returns the miter radius

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Features.LawExtensionBuilderEx.OppositeSideExtensionOptions NXOpen.Features.LawExtensionBuilderEx.OppositeSideExtensionOption
getset

Returns or sets the opposite side extension option

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.LawExtensionBuilderEx.OppositeSideLengthLaw
get

Returns the opposite side length law.

Opposite side extension law is required only when NXOpen.Features.LawExtensionBuilderEx.OppositeSideExtensionOptions is NXOpen.Features.LawExtensionBuilderEx.OppositeSideExtensionOptions.Asymmetric

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.SpineDefinitionBuilder NXOpen.Features.LawExtensionBuilderEx.SpineDefinition
get

Returns the spine definition

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Features.LawExtensionBuilderEx.Types NXOpen.Features.LawExtensionBuilderEx.Type
getset

Returns or sets the type

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")

unsafe NXOpen.Direction NXOpen.Features.LawExtensionBuilderEx.Vector
getset

Returns or sets the vector.

Vector is used only when NXOpen.Features.LawExtensionBuilderEx.Types is NXOpen.Features.LawExtensionBuilderEx.Types.Vector

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.